import tkinter as tk
topic = 'fabacademy'
import paho.mqtt.client as mqtt

client = mqtt.Client()

client.username_pw_set(username="fabacademy", password="fabacademy")
client.connect("mqtt.fabcloud.org", 1883)

client.loop_start()

def publish():
    # Function to handle the button click
    # Retrieves the text from entry widget and prints it
    seconds = text_entry.get()
    print(f"Published to {topic}:", seconds)
    client.publish(topic, seconds)

# Create the main window
root = tk.Tk()
root.title("LED Time")

# Create a label for instructions
label = tk.Label(root, text="Seconds (enter 'off' to turn LED off):")
label.pack(pady=(10, 0))  # Add some vertical padding

# Create a text entry widget
text_entry = tk.Entry(root, width=5)
text_entry.pack(pady=10)

# Create a submit button
submit_button = tk.Button(root, text="Publish", command=publish)
submit_button.pack(pady=(0, 10))

# Start the GUI event loop
root.mainloop()
